java.util.logging

## Interface Filter

-     public interface Filter

  A Filter can be used to provide fine grain control over what is logged, beyond the control provided by log levels.

  Each Logger and each Handler can have a filter associated with it. The Logger or Handler will call the isLoggable method to check if a given LogRecord should be published. If isLoggable returns false, the LogRecord will be discarded.

  Since:
    1.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLoggable(LogRecord record)` Check if a given log record should be published.

- - ### Method Detail

    - #### isLoggable

          boolean isLoggable(LogRecord record)

      Check if a given log record should be published.
      Parameters:
        `record` - a LogRecord
      Returns:
        true if the log record should be published.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.